Name:           ultimaker-marlin-firmware
Version:        12.12
Release:        0.1.RC1%{?dist}
Summary:        Firmware for the RepRap 3D printer
#this uses the arduino cross-compiler, so the output is arch-independent
BuildArch:      noarch

License:        GPLv3+
# I was lazy and just made a tarball from my git checkout.  Please make sure to
# follow the new github guidelines when submitting.
URL:            https://github.com/Ultimaker/Marlin
Source0:        %{name}-%{version}-RC1.tar.gz

# This will need to be packaged for Fedora if the Makefile can't be fixed.
# http://inotool.org/
#BuildRequires:  ino

# Require the arduino toolchain explictly, though the future ino package should
# bring it in.
BuildRequires: avr-gcc avr-gcc-c++ avr-binutils avr-libc

%description
Firmware for the RepRap 3D printer.

%prep
%setup -q -n %{name}-%{version}-RC1

# make the directory structure like ino likes it
mv Marlin src
mkdir lib

%build
# hope this is the right ardino model
ino build -m mega

%install
install -Dpm0644 .build/mega/firmware.hex \
                %{buildroot}/%{_datadir}/%{name}/ultimaker-marlin-firmware.hex

%files
%{_datadir}/%{name}
%doc src/COPYING README.md

%changelog
* Tue Jan 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 12.12-0.1.RC1
- rough initial package